#
# Conditional build
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	DSA
Summary:	Crypt::DSA Perl module - DSA signature and key generation
Summary(pl.UTF-8):	Moduł Perla Crypt::DSA - generujący sygnatury i klucze DSA
Name:		perl-Crypt-DSA
Version:	1.17
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	0a64dcd77e796ebacad4c6af2df74b57
URL:		http://search.cpan.org/dist/Crypt-DSA/
%if %{with tests}
BuildRequires:	perl-Data-Buffer >= 0.01
BuildRequires:	perl-Digest-SHA1
BuildRequires:	perl-File-Which >= 0.05
BuildRequires:	perl-Math-BigInt >= 1.78
BuildRequires:	perl-Math-BigInt-GMP
%endif
BuildRequires:	perl-Convert-PEM >= 0.07
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-File-Which >= 0.05
Requires:	perl-Math-BigInt >= 1.78
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# optional
%define		_noautoreq 'perl(Convert::PEM)' 'perl(Data::Buffer)'

%description
Crypt::DSA is an implementation of the DSA (Digital Signature
Algorithm) signature verification system. The implementation itself is
pure Perl, although the heavy-duty mathematics underneath are provided
by the Math::Pari library. This package provides DSA signing,
signature verification, and key generation. It additionally requires
Convert::PEM >= 0.04 module to read/write PEM-encoded files and
Data::Buffer >= 0.01 module to read/write SSH2 keyfiles.

%description -l pl.UTF-8
Crypt::DSA jest implementacją systemu weryfikacji sygnatur DSA
(Digital Signature Alghorithm). Sama implementacja jest w czystym
Perlu, ale do ciężkiej matematyki korzysta z biblioteki Math::Pari.
Pakiet umożliwia podpisywanie i weryfikację sygnatur DSA oraz
generowanie kluczy. Moduł ten wymaga dodatkowo modułu Convert::PEM w
wersji >= 0.04 do czytania i zapisywania plików zakodowanych PEM oraz
modułu Data::Buffer w wersji >= 0.01 do czytania i zapisywania plików
z kluczami SSH2.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}
%{?with_tests: %{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Crypt/DSA.pm
%{perl_vendorlib}/Crypt/DSA
%{_mandir}/man3/*
%changelog
* Fri Apr 14 2017 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Crypt-DSA.git;a=log;h=6f1f9fc31997d76383addb69e1a1da631372099c

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> 6f1f9fc
- up to 1.17

* Tue Nov 03 2009 Jan Rękorajski <baggins@pld-linux.org> 80ed0dc
- up to 1.16
- updated R/BR

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 7e65a0f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 225c748
- converted to UTF-8

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> 9224201
- 0.14, generic URL

* Sat Feb 11 2006 Elan Ruusamäe <glen@pld-linux.org> 459aaef
- perl-Convert-PEM is needed without tests
- adapterized

* Tue Jun 21 2005 Paweł Cyranek <pawel.cyranek@gmail.com> 2561518
- added BR: perl-Data-Buffer >= 0.01

* Tue Jun 21 2005 Paweł Cyranek <pawel.cyranek@gmail.com> 9992f75
- fixed last changelog entry

* Tue Jun 21 2005 Paweł Cyranek <pawel.cyranek@gmail.com> 42d9a8c
- updated to 0.13
- added BR:perl-Convert-PEM

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 8e6917c
- formatting

* Sun Aug 08 2004 Adam Gołębiowski <adamg@pld-linux.org> a73d5e5
- release 4

* Sat Jun 05 2004 radek <radek@pld-linux.org> 2d753cd
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri May 07 2004 ankry <ankry@pld-linux.org> 2853443
- rel. 3

* Thu May 06 2004 ankry <ankry@pld-linux.org> 3b19566
- fixed perl-devel BR

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 4a09e6c
- new bconds

* Mon Apr 19 2004 ankry <ankry@pld-linux.org> 32c13d9
- license fixes and unification

* Wed Oct 29 2003 migo <migo@pld-linux.org> 3192a2c
- add tests bcond
- bconded BRs

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 741ac0a
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 2dbfc70
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> d37a14e
- massive attack s/pld.org.pl/pld-linux.org/

